=== modified file 'm4/pandora_64bit.m4'
--- m4/pandora_64bit.m4	2009-07-28 18:36:07 +0000
+++ m4/pandora_64bit.m4	2009-07-29 18:27:28 +0000
@@ -9,12 +9,11 @@
 AC_DEFUN([PANDORA_64BIT],[
   AC_BEFORE([$0], [AC_LIB_PREFIX])
 
-
-  AC_ARG_ENABLE([64bit],[
-    AS_HELP_STRING([--disable-64bit],
+  AC_ARG_ENABLE([64bit],
+    [AS_HELP_STRING([--disable-64bit],
       [Build 64 bit binary @<:@default=on@:>@])],
-             [ac_enable_64bit="$enableval"],
-             [ac_enable_64bit="yes"])
+    [ac_enable_64bit="$enableval"],
+    [ac_enable_64bit="yes"])
 
   AC_CHECK_PROGS(ISAINFO, [isainfo], [no])
   AS_IF([test "x$ISAINFO" != "xno"],

=== modified file 'm4/pandora_canonical.m4'
--- m4/pandora_canonical.m4	2009-07-29 05:25:53 +0000
+++ m4/pandora_canonical.m4	2009-07-29 18:27:28 +0000
@@ -4,7 +4,7 @@
 dnl with or without modifications, as long as this notice is preserved.
 
 dnl Which version of the canonical setup we're using
-AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.34])
+AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.35])
 
 AC_DEFUN([PANDORA_FORCE_DEPEND_TRACKING],[
   dnl Force dependency tracking on for Sun Studio builds

=== modified file 'm4/pandora_have_libdrizzle.m4'
--- m4/pandora_have_libdrizzle.m4	2009-07-14 22:35:09 +0000
+++ m4/pandora_have_libdrizzle.m4	2009-07-29 18:27:28 +0000
@@ -9,16 +9,25 @@
   dnl --------------------------------------------------------------------
   dnl  Check for libdrizzle
   dnl --------------------------------------------------------------------
-  
-  AC_LIB_HAVE_LINKFLAGS(drizzle,,[
-    #include <libdrizzle/drizzle_client.h>
+
+  AC_ARG_ENABLE([libdrizzle],
+    [AS_HELP_STRING([--disable-libdrizzle],
+      [Build with libdrizzle support @<:@default=on@:>@])],
+    [ac_enable_libdrizzle="$enableval"],
+    [ac_enable_libdrizzle="yes"])
+
+  AS_IF([test "x$ac_enable_libdrizzle" = "xyes"],[
+    AC_LIB_HAVE_LINKFLAGS(drizzle,,[
+      #include <libdrizzle/drizzle_client.h>
+    ],[
+      drizzle_st drizzle;
+      drizzle_version();
+    ])
   ],[
-    drizzle_st drizzle;
-    drizzle_version();
+    ac_cv_libdrizzle="no"
   ])
   
   AM_CONDITIONAL(HAVE_LIBDRIZZLE, [test "x${ac_cv_libdrizzle}" = "xyes"])
-
 ])
 
 AC_DEFUN([PANDORA_HAVE_LIBDRIZZLE],[
@@ -27,7 +36,7 @@
 
 AC_DEFUN([PANDORA_REQUIRE_LIBDRIZZLE],[
   AC_REQUIRE([PANDORA_HAVE_LIBDRIZZLE])
-  AS_IF([test x$ac_cv_libdrizzle = xno],
+  AS_IF([test "x${ac_cv_libdrizzle}" = "xno"],
       AC_MSG_ERROR([libdrizzle is required for ${PACKAGE}]))
 ])
 

=== modified file 'm4/pandora_have_libgearman.m4'
--- m4/pandora_have_libgearman.m4	2009-07-14 22:35:09 +0000
+++ m4/pandora_have_libgearman.m4	2009-07-29 18:27:28 +0000
@@ -10,14 +10,24 @@
   dnl  Check for libgearman
   dnl --------------------------------------------------------------------
 
-  AC_LIB_HAVE_LINKFLAGS(gearman,, 
-    [#include <libgearman/gearman.h>],[ 
-      gearman_client_st gearman_client; 
-      gearman_version(); 
-    ]) 
+  AC_ARG_ENABLE([libgearman],
+    [AS_HELP_STRING([--disable-libgearman],
+      [Build with libgearman support @<:@default=on@:>@])],
+    [ac_enable_libgearman="$enableval"],
+    [ac_enable_libgearman="yes"])
+
+  AS_IF([test "x$ac_enable_libgearman" = "xyes"],[
+    AC_LIB_HAVE_LINKFLAGS(gearman,,[
+      #include <libgearman/gearman.h>
+    ],[
+      gearman_client_st gearman_client;
+      gearman_version();
+    ])
+  ],[
+    ac_cv_libgearman="no"
+  ])
 
   AM_CONDITIONAL(HAVE_LIBGEARMAN, [test "x${ac_cv_libgearman}" = "xyes"])
-  
 ])
 
 AC_DEFUN([PANDORA_HAVE_LIBGEARMAN],[
@@ -26,6 +36,6 @@
 
 AC_DEFUN([PANDORA_REQUIRE_LIBGEARMAN],[
   AC_REQUIRE([PANDORA_HAVE_LIBGEARMAN])
-  AS_IF([test x$ac_cv_libgearman = xno],
+  AS_IF([test "x${ac_cv_libgearman}" = "xno"],
       AC_MSG_ERROR([libgearman is required for ${PACKAGE}]))
 ])

=== modified file 'm4/pandora_have_libmemcached.m4'
--- m4/pandora_have_libmemcached.m4	2009-07-14 22:35:09 +0000
+++ m4/pandora_have_libmemcached.m4	2009-07-29 18:27:28 +0000
@@ -10,18 +10,27 @@
   dnl  Check for libmemcached
   dnl --------------------------------------------------------------------
 
-  AC_LIB_HAVE_LINKFLAGS(memcached,,[
-    #include <libmemcached/memcached.h>
-  ], [
-    memcached_st memc;
-    memcached_dump_func *df;
-    memcached_version();
+  AC_ARG_ENABLE([libmemcached],
+    [AS_HELP_STRING([--disable-libmemcached],
+      [Build with libmemcached support @<:@default=on@:>@])],
+    [ac_enable_libmemcached="$enableval"],
+    [ac_enable_libmemcached="yes"])
+
+  AS_IF([test "x$ac_enable_libmemcached" = "xyes"],[
+    AC_LIB_HAVE_LINKFLAGS(memcached,,[
+      #include <libmemcached/memcached.h>
+    ],[
+      memcached_st memc;
+      memcached_dump_func *df;
+      memcached_version();
+    ])
+  ],[
+    ac_cv_libmemcached="no"
   ])
   
   AM_CONDITIONAL(HAVE_LIBMEMCACHED, [test "x${ac_cv_libmemcached}" = "xyes"])
   
   AS_IF([test "x${ac_cv_libmemcached}" = "xyes"], [ PANDORA_WITH_MEMCACHED ])
-
 ])
 
 AC_DEFUN([PANDORA_HAVE_LIBMEMCACHED],[

=== modified file 'm4/pandora_have_libpq.m4'
--- m4/pandora_have_libpq.m4	2009-07-28 18:59:08 +0000
+++ m4/pandora_have_libpq.m4	2009-07-29 18:27:28 +0000
@@ -6,20 +6,30 @@
 AC_DEFUN([_PANDORA_SEARCH_LIBPQ],[
   AC_REQUIRE([AC_LIB_PREFIX])
 
-  AC_CHECK_HEADERS([libpq-fe.h])
   dnl --------------------------------------------------------------------
   dnl  Check for libpq
   dnl --------------------------------------------------------------------
 
-  AC_LIB_HAVE_LINKFLAGS(pq,,[
-    #ifdef HAVE_LIBPQ_FE_H
-    # include <libpq-fe.h>
-    #else
-    # include <postgresql/libpq-fe.h>
-    #endif
-  ], [
-    PGconn *conn;
-    conn = PQconnectdb(NULL);
+  AC_ARG_ENABLE([libpq],
+    [AS_HELP_STRING([--disable-libpq],
+      [Build with libpq support @<:@default=on@:>@])],
+    [ac_enable_libpq="$enableval"],
+    [ac_enable_libpq="yes"])
+
+  AS_IF([test "x$ac_enable_libpq" = "xyes"],[
+    AC_CHECK_HEADERS([libpq-fe.h])
+    AC_LIB_HAVE_LINKFLAGS(pq,,[
+      #ifdef HAVE_LIBPQ_FE_H
+      # include <libpq-fe.h>
+      #else
+      # include <postgresql/libpq-fe.h>
+      #endif
+    ], [
+      PGconn *conn;
+      conn = PQconnectdb(NULL);
+    ])
+  ],[
+    ac_cv_libpq="no"
   ])
   
   AM_CONDITIONAL(HAVE_LIBPQ, [test "x${ac_cv_libpq}" = "xyes"])
@@ -31,6 +41,6 @@
 
 AC_DEFUN([PANDORA_REQUIRE_LIBPQ],[
   AC_REQUIRE([PANDORA_HAVE_LIBPQ])
-  AS_IF([test x$ac_cv_libpq = xno],
-      AC_MSG_ERROR([libpq is required for ${PACKAGE}]))
+  AS_IF([test "x${ac_cv_libpq}" = "xno"],
+    AC_MSG_ERROR([libpq is required for ${PACKAGE}]))
 ])

=== renamed file 'm4/pandora_have_sqlite.m4' => 'm4/pandora_have_libsqlite3.m4'
--- m4/pandora_have_sqlite.m4	2009-07-14 22:35:09 +0000
+++ m4/pandora_have_libsqlite3.m4	2009-07-29 18:27:28 +0000
@@ -3,22 +3,40 @@
 dnl gives unlimited permission to copy and/or distribute it,
 dnl with or without modifications, as long as this notice is preserved.
 
-
-AC_DEFUN([_PANDORA_SEARCH_SQLITE],[
+AC_DEFUN([_PANDORA_SEARCH_LIBSQLITE3],[
   AC_REQUIRE([AC_LIB_PREFIX])
 
-  AC_LIB_HAVE_LINKFLAGS(sqlite3,,[
-    #include <stdio.h>
-    #include <sqlite3.h>
+  dnl --------------------------------------------------------------------
+  dnl  Check for libsqlite3
+  dnl --------------------------------------------------------------------
+
+  AC_ARG_ENABLE([libsqlite3],
+    [AS_HELP_STRING([--disable-libsqlite3],
+      [Build with libsqlite3 support @<:@default=on@:>@])],
+    [ac_enable_libsqlite3="$enableval"],
+    [ac_enable_libsqlite3="yes"])
+
+  AS_IF([test "x$ac_enable_libsqlite3" = "xyes"],[
+    AC_LIB_HAVE_LINKFLAGS(sqlite3,,[
+      #include <stdio.h>
+      #include <sqlite3.h>
+    ],[
+      sqlite3 *db;
+      sqlite3_open(NULL, &db);
+    ])
   ],[
-    sqlite3 *db;
-    sqlite3_open(NULL, &db);
+    ac_cv_libsqlite3="no"
   ])
 
   AM_CONDITIONAL(HAVE_LIBSQLITE3, [test "x${ac_cv_libsqlite3}" = "xyes"])
-
-])
-
-AC_DEFUN([PANDORA_HAVE_SQLITE],[
-  AC_REQUIRE([_PANDORA_SEARCH_SQLITE])
+])
+
+AC_DEFUN([PANDORA_HAVE_LIBSQLITE3],[
+  AC_REQUIRE([_PANDORA_SEARCH_LIBSQLITE3])
+])
+
+AC_DEFUN([PANDORA_REQUIRE_LIBSQLITE3],[
+  AC_REQUIRE([_PANDORA_SEARCH_LIBSQLITE3])
+  AS_IF([test "x${ac_cv_libsqlite3}" = "xno"],
+    AC_MSG_ERROR([libsqlite3 is required for ${PACKAGE}]))
 ])

